Billing
Export Usage (CSV)
Download your billed usage as a CSV file.
GET
/
api
/
v1
/
usage
/
export
Export Usage (CSV)
curl --request GET \
--url https://api.example.com/api/v1/usage/exportimport requests
url = "https://api.example.com/api/v1/usage/export"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/usage/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Returns your billed line items (credit debits) as a CSV attachment.
Each row is a single billed call;
Authentication
Requires an API key withbilling scope.
Query Parameters
string
ISO timestamp lower bound (inclusive).
string
ISO timestamp upper bound (inclusive).
Response
Content-Type: text/csv attachment. Columns:
date,description,model,amount_usd
amount_usd is the charged amount for that call.
Example
curl
curl -L "https://www.hitheo.ai/api/v1/usage/export?from=2026-05-01" \
-H "Authorization: Bearer $THEO_API_KEY" \
-o theo-usage.csv
Was this page helpful?
Export Usage (CSV)
